Package org.eclipse.gef.zest.fx.handlers

# Class TranslateSelectedAndRelocateLabelsOnDragHandler

java.lang.Object
org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends javafx.scene.Node>>
org.eclipse.gef.mvc.fx.handlers.AbstractHandler
org.eclipse.gef.mvc.fx.handlers.TranslateSelectedOnDragHandler
org.eclipse.gef.zest.fx.handlers.TranslateSelectedAndRelocateLabelsOnDragHandler

All Implemented Interfaces:
  `IAdaptable.Bound<IVisualPart<? extends javafx.scene.Node>>`, `org.eclipse.gef.mvc.fx.handlers.IHandler`, `org.eclipse.gef.mvc.fx.handlers.IOnDragHandler`

public class TranslateSelectedAndRelocateLabelsOnDragHandler extends org.eclipse.gef.mvc.fx.handlers.TranslateSelectedOnDragHandler
A specific `TranslateSelectedOnDragHandler` that includes dragging of unselected label parts.

## Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Constructor Summary

Constructors
Constructor
Description
`TranslateSelectedAndRelocateLabelsOnDragHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`abortDrag()`
`void`
`drag(javafx.scene.input.MouseEvent e, Dimension delta)`
`void`
`endDrag(javafx.scene.input.MouseEvent e, Dimension delta)`
`void`
`startDrag(javafx.scene.input.MouseEvent e)`

### Methods inherited from class org.eclipse.gef.mvc.fx.handlers.TranslateSelectedOnDragHandler

`getConnectedSupport, getInitialMouseLocationInScene, getSnapToSupport, getTargetParts, getTransformPolicy, hideIndicationCursor, isPrecise, isTranslate, setInitialMouseLocationInScene, showIndicationCursor, showIndicationCursor`

### Methods inherited from class org.eclipse.gef.mvc.fx.handlers.AbstractHandler

`commit, execute, getHost, init, isRegistered, isRegisteredForHost, restoreRefreshVisuals, rollback, storeAndDisableRefreshVisuals`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.mvc.fx.handlers.IHandler

`getHost`

## Constructor Details

### TranslateSelectedAndRelocateLabelsOnDragHandler

public TranslateSelectedAndRelocateLabelsOnDragHandler()

## Method Details

### abortDrag

public void abortDrag()

Specified by:
  `abortDrag` in interface `org.eclipse.gef.mvc.fx.handlers.IOnDragHandler`
Overrides:
  `abortDrag` in class `org.eclipse.gef.mvc.fx.handlers.TranslateSelectedOnDragHandler`

### drag

public void drag(javafx.scene.input.MouseEvent e, Dimension delta)

Specified by:
  `drag` in interface `org.eclipse.gef.mvc.fx.handlers.IOnDragHandler`
Overrides:
  `drag` in class `org.eclipse.gef.mvc.fx.handlers.TranslateSelectedOnDragHandler`

### endDrag

public void endDrag(javafx.scene.input.MouseEvent e, Dimension delta)

Specified by:
  `endDrag` in interface `org.eclipse.gef.mvc.fx.handlers.IOnDragHandler`
Overrides:
  `endDrag` in class `org.eclipse.gef.mvc.fx.handlers.TranslateSelectedOnDragHandler`

### startDrag

public void startDrag(javafx.scene.input.MouseEvent e)

Specified by:
  `startDrag` in interface `org.eclipse.gef.mvc.fx.handlers.IOnDragHandler`
Overrides:
  `startDrag` in class `org.eclipse.gef.mvc.fx.handlers.TranslateSelectedOnDragHandler`